Project with SQL Server Layers opens much slower in 2.8 than 2.6

2015-06-09 04:09 PM - Jason Moore

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/MSSQL

Affected QGIS version:2.8.2 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 21006

Description

I have a project that contains many sql server layers. In version 2.6 it opened in about 20 seconds in version 2.8.1 it takes about 100. I

note a difference with even one layer taking considerably longer in 2.8.

Windows 7 64bit desktop

SQL Server 12 on Windows Server 12

History

#1 - 2015-06-18 12:11 AM - Nathan Woodrow

You have a spatial index on the layers?

#2 - 2015-06-18 12:11 AM - Nathan Woodrow

- Status changed from Open to Feedback

#3 - 2015-06-18 04:09 AM - Jason Moore

I do have a spatial index on the feature table that stores all of the geometry data for the various views that I have set up for the layers that make up the

project.

#4 - 2015-06-18 03:57 PM - Nathan Woodrow

What do your views look like?  Nothing special?  Have a unique int column for a key?

#5 - 2015-06-19 04:29 AM - Jason Moore

Most are not very complex. Two or three joined tables, one always being the feature table which has a unique int column that is the primary key for that

table and also contains the geometry. An example would be a view called QGIS_SAN_MHs, it contains three inner joined tables, SAN_MHs,

DPW_DrainageStructures, and DAT_Features. All are linked on the fetID column which is primary int in DAT_Features.

#6 - 2015-12-20 09:40 AM - Giovanni Manghi

- Status changed from Feedback to Open

#7 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No
- Easy fix? set to No

#8 - 2018-10-02 10:41 PM - Nyall Dawson

- Description updated

- Status changed from Open to Feedback

Still an issue with 3.2?

#9 - 2019-02-23 08:36 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
